summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0036add_set_element_expiration_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/sets/0036add_set_element_expiration_0')
-rwxr-xr-xtests/shell/testcases/sets/0036add_set_element_expiration_05
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/shell/testcases/sets/0036add_set_element_expiration_0 b/tests/shell/testcases/sets/0036add_set_element_expiration_0
index 8dfed6c1..51ed0f2c 100755
--- a/tests/shell/testcases/sets/0036add_set_element_expiration_0
+++ b/tests/shell/testcases/sets/0036add_set_element_expiration_0
@@ -8,6 +8,9 @@ add element ip x y { 1.1.1.1 timeout 30s expires 15s }"
test_output=$($NFT -e -f - <<< "$RULESET" 2>&1)
-diff -u <(echo "$test_output") <(echo "$RULESET")
+if [ "$test_output" != "$RULESET" ] ; then
+ $DIFF -u <(echo "$test_output") <(echo "$RULESET")
+ exit 1
+fi
$NFT "add chain ip x c; add rule ip x c ip saddr @y"